Subject: [alpine-devel] [PATCH] testing/mate-control-center: new aport

From: Alan Lacerda <[email-masked]>
Date: Mon, 15 Dec 2014 14:48:42 +0000

---
 testing/mate-control-center/APKBUILD | 44 ++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)
 create mode 100644 testing/mate-control-center/APKBUILD

diff --git a/testing/mate-control-center/APKBUILD b/testing/mate-control-center/APKBUILD
new file mode 100644
index 0000000..8352041
--- /dev/null
+++ b/testing/mate-control-center/APKBUILD
@@ -0,0 +1,44 @@
+# Contributor: Alan Lacerda <[email-masked]>
+# Maintainer:
+pkgname=mate-control-center
+pkgver=1.9.0
+pkgrel=0
+pkgdesc="MATE's main interface for configuration of various aspects of your desktop"
+url="https://github.com/mate-desktop/mate-control-center"
+arch="all"
+license="GPL2"
+depends="mate-common mate-menus mate-desktop mate-icon-theme desktop-file-utils"
+depends_dev=""
+makedepends="$depends_dev dbus-glib-dev autoconf automake libtool intltool
+	glib-dev itstool gtk+2.0-dev dconf-dev mate-menus-dev libunique-dev
+	marco-dev mate-settings-daemon-dev libmatekbd-dev libxklavier-dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
+source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./autogen.sh --prefix=/usr || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="${pkgdir}" install || return 1
+	find "$pkgdir" -name \*.la -delete
+}
+
+md5sums="0974f14ecc6d8ff91719f357b17a5b16  mate-control-center-1.9.0.tar.xz"
+sha256sums="8b88ce5abd696819cad2cbe5fea10bc1b2436eb78dedef75e6974c3c6adfacd7  mate-control-center-1.9.0.tar.xz"
+sha512sums="4e97367a7f5106877e7cbf94e97965087c486891be228459e8bf171a274910fd01b205999544d39086c763100589dedf0f3ed1c3a9e948ae4ad472a8b9534e75  mate-control-center-1.9.0.tar.xz"
-- 
2.1.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---